Bug 5861 - kernel BUG at fs/cifs/cifs_dfs_ref.c:305!
kernel BUG at fs/cifs/cifs_dfs_ref.c:305!
Status: RESOLVED FIXED
Product: CifsVFS
Classification: Unclassified
Component: kernel fs
2.6
x86 Linux
: P3 regression
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-30 22:08 UTC by Jacek Pawlowski
Modified: 2009-02-18 23:19 UTC (History)
1 user (show)

See Also:


Attachments
Fix for DFS oops (4.22 KB, text/x-diff)
2009-02-10 13:19 UTC, Steve French
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jacek Pawlowski 2008-10-30 22:08:42 UTC
After mount -t cifs I tried to ls the mounted directory I got the error below. I had to reboot the system to stabilize the kernel.



Oct 30 19:47:18 localhost kernel: ------------[ cut here ]------------
Oct 30 19:47:18 localhost kernel: kernel BUG at fs/cifs/cifs_dfs_ref.c:305!
Oct 30 19:47:18 localhost kernel: invalid opcode: 0000 [#2] SMP 
Oct 30 19:47:18 localhost kernel: Modules linked in: nls_utf8 cifs bridge bnep rfcomm l2cap bluetooth fuse sunrpc ipt_REJECT nf_conntrack_ipv4 iptable_filter ip_tables nf_conntrack_ftp ip6t_REJECT xt_tcpudp nf_conntrack_ipv6 xt_state nf_conntrack ip6table_filter ip6_tables x_tables cpufreq_ondemand acpi_cpufreq loop dm_multipath ipv6 snd_hda_intel snd_seq_dummy snd_seq_oss snd_seq_midi_event snd_seq snd_seq_device snd_pcm_oss snd_mixer_oss snd_pcm i915 e1000e snd_timer drm video i2c_algo_bit wmi button output tpm_infineon tpm snd_page_alloc snd_hwdep ppdev i2c_core snd soundcore pcspkr parport_pc tpm_bios parport sg floppy sr_mod cdrom dm_snapshot dm_zero dm_mirror dm_mod pata_acpi ata_piix ata_generic libata sd_mod scsi_mod ext3 jbd mbcache uhci_hcd ohci_hcd ehci_hcd [last unloaded: microcode]
Oct 30 19:47:18 localhost kernel: 
Oct 30 19:47:18 localhost kernel: Pid: 2661, comm: ls Tainted: G      D  (2.6.25-14.fc9.i686 #1)
Oct 30 19:47:18 localhost kernel: EIP: 0060:[<f8f46a27>] EFLAGS: 00010246 CPU: 0
Oct 30 19:47:18 localhost kernel: EIP is at cifs_dfs_follow_mountpoint+0x3b/0x6c7 [cifs]
Oct 30 19:47:18 localhost kernel: EAX: f77fda18 EBX: f77fda18 ECX: f8f5b9d0 EDX: ec3bbf58
Oct 30 19:47:18 localhost kernel: ESI: 00000000 EDI: ec3a2000 EBP: ec3bbe98 ESP: ec3bbe48
Oct 30 19:47:18 localhost kernel:  DS: 007b ES: 007b FS: 00d8 GS: 0033 SS: 0068
Oct 30 19:47:18 localhost kernel: Process ls (pid: 2661, ti=ec3bb000 task=ec244e90 task.ti=ec3bb000)
Oct 30 19:47:18 localhost kernel: Stack: ec3bbee0 ec3bbf58 c04928e0 ec276f00 00000000 ec3bbe70 c0488fba f77eb110 
Oct 30 19:47:18 localhost kernel:        f77e9e28 ec3a2000 ec3bbe98 c0489167 ec3bbee0 f7027e60 f7027e00 00000000 
Oct 30 19:47:18 localhost kernel:        00000000 f77fe024 00000000 ec3a2000 ec3bbef4 c048affa ec3bbf58 ec3a2004 
Oct 30 19:47:18 localhost kernel: Call Trace:
Oct 30 19:47:18 localhost kernel:  [dput+52/238] ? dput+0x34/0xee
Oct 30 19:47:18 localhost kernel:  [__follow_mount+33/100] ? __follow_mount+0x21/0x64
Oct 30 19:47:18 localhost kernel:  [do_lookup+79/320] ? do_lookup+0x4f/0x140
Oct 30 19:47:18 localhost kernel:  [__link_path_walk+2502/3324] ? __link_path_walk+0x9c6/0xcfc
Oct 30 19:47:18 localhost kernel:  [mntput_no_expire+22/105] ? mntput_no_expire+0x16/0x69
Oct 30 19:47:18 localhost kernel:  [path_walk+76/155] ? path_walk+0x4c/0x9b
Oct 30 19:47:18 localhost kernel:  [do_path_lookup+391/464] ? do_path_lookup+0x187/0x1d0
Oct 30 19:47:18 localhost kernel:  [getname+100/183] ? getname+0x64/0xb7
Oct 30 19:47:18 localhost kernel:  [__user_walk_fd+47/67] ? __user_walk_fd+0x2f/0x43
Oct 30 19:47:18 localhost kernel:  [sys_getxattr+30/73] ? sys_getxattr+0x1e/0x49
Oct 30 19:47:18 localhost kernel:  [do_syscall_trace+294/365] ? do_syscall_trace+0x126/0x16d
Oct 30 19:47:18 localhost kernel:  [syscall_call+7/11] ? syscall_call+0x7/0xb
Oct 30 19:47:18 localhost kernel:  =======================
Oct 30 19:47:18 localhost kernel: Code: f8 01 89 55 b4 c7 45 f0 00 00 00 00 c7 45 ec 00 00 00 00 74 11 68 40 9e f4 f8 68 68 5b f5 f8 e8 a6 8a 6e c7 59 5e 3b 5b 18 75 04 <0f> 0b eb fe e8 d1 7d ff ff f6 05 00 cc f5 f8 01 89 45 b8 74 21 
Oct 30 19:47:18 localhost kernel: EIP: [<f8f46a27>] cifs_dfs_follow_mountpoint+0x3b/0x6c7 [cifs] SS:ESP 0068:ec3bbe48
Oct 30 19:47:18 localhost kernel: ---[ end trace ba370afe91ba3af6 ]---
Comment 1 Jacek Pawlowski 2008-10-30 22:34:11 UTC
windows OS:
Windows Server 2003 R2 3790 Service Pack 2
Comment 2 Steve French 2009-02-10 13:19:46 UTC
Created attachment 3934 [details]
Fix for DFS oops

Fix for DFS oops

Let us know if this fixes it.  Fix has been reviewed, and plan to push upstream
to 2.6.29 if tests out ok
Comment 3 Steve French 2009-02-18 23:19:56 UTC
Fix pushed to cifs-2.6.git should be in 2.6.29 kernel